Xenserver cannot boot vm_mode=xen type images

Bug #1055431 reported by Mate Lakat on 2012-09-24
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Mate Lakat
Folsom
Medium
Chuck Short
nova (Ubuntu)
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

It seems XenServer is not capable to launch vm_mode=xen type images:

Set the metadata on an image:
nova image-meta 5e396b38-7d62-4f0b-b9e3-3705171e77e5 set vm_mode=xen

And try to launch that
nova boot --image cirros --flavor m1.tiny somevmname

See the results in the scheduler log:
2012-09-24 10:57:53 DEBUG nova.scheduler.filters.image_props_filter [req-e4eb51d1-c180-4585-afc5-22c89ec34c20 admin demo] Instance contains properties {u'vm_mode': u'xen'}, but no corresponding capabilities are advertised by the compute node from (pid=26475) _instance_supported /opt/stack/nova/nova/scheduler/filters/image_props_filter.py:50
2012-09-24 10:57:53 DEBUG nova.scheduler.filters.image_props_filter [req-e4eb51d1-c180-4585-afc5-22c89ec34c20 admin demo] host 'DevStackOSDomU': free_ram_mb:15350 free_disk_mb:226304 does not support requested instance_properties from (pid=26475) host_passes /opt/stack/nova/nova/scheduler/filters/image_props_filter.py:83
2012-09-24 10:57:53 DEBUG nova.scheduler.host_manager [req-e4eb51d1-c180-4585-afc5-22c89ec34c20 admin demo] Host filter function <bound method ImagePropertiesFilter.host_passes of <nova.scheduler.filters.image_props_filter.ImagePropertiesFilter object at 0x31137d0>> failed for DevStackOSDomU from (pid=26475) passes_filters /opt/stack/nova/nova/scheduler/host_manager.py:166
2012-09-24 10:57:53 WARNING nova.scheduler.driver [req-e4eb51d1-c180-4585-afc5-22c89ec34c20 admin demo] [instance: 08ff58f7-3354-4ad7-ba0a-3d0670fd09ef] Setting instance to ERROR state.

So it does not even hit the compute node.

Mate Lakat (mate-lakat) on 2012-09-24
description: updated
tags: added: xenserver

Fix proposed to branch: master
Review: https://review.openstack.org/13635

Changed in nova:
assignee: nobody → Mate Lakat (mate-lakat)
status: New → In Progress
Changed in nova:
importance: Undecided → Medium
tags: added: folsom-backport-potential

Reviewed: https://review.openstack.org/13635
Committed: http://github.com/openstack/nova/commit/25b2062b471c965170d6ad7b0bdf40338e97d330
Submitter: Jenkins
Branch: master

commit 25b2062b471c965170d6ad7b0bdf40338e97d330
Author: Mate Lakat <email address hidden>
Date: Tue Sep 25 16:00:31 2012 +0100

    Fix XenServer's ability to boot xen type images

    Fixes bug 1055431.

    As the scheduler wants to boot a vm_mode=xen type of image, the host's
    "supported_instances" capability is used for finding a good candidate.
    In the Xapi case, this field was not populated.

    This fix modifies the xapi xenhost plugin, so the Xen host capabilities
    are returned back to the compute node, as "host_capabilities".
    On the compute side, the mentioned information is used, to extract the
    "supported_instances" information.

    Change-Id: I2da11ab81f74b5b52e2c30832a694470978e21b0

Changed in nova:
status: In Progress → Fix Committed
Mark McLoughlin (markmc) on 2012-10-13
tags: removed: folsom-backport-potential

Reviewed: https://review.openstack.org/14088
Committed: http://github.com/openstack/nova/commit/96136435f13936574a67955fbca9134ceb565df2
Submitter: Jenkins
Branch: stable/folsom

commit 96136435f13936574a67955fbca9134ceb565df2
Author: Mate Lakat <email address hidden>
Date: Tue Sep 25 16:00:31 2012 +0100

    Fix XenServer's ability to boot xen type images

    Fixes bug 1055431.

    As the scheduler wants to boot a vm_mode=xen type of image, the host's
    "supported_instances" capability is used for finding a good candidate.
    In the Xapi case, this field was not populated.

    This fix modifies the xapi xenhost plugin, so the Xen host capabilities
    are returned back to the compute node, as "host_capabilities".
    On the compute side, the mentioned information is used, to extract the
    "supported_instances" information.

    Change-Id: I2da11ab81f74b5b52e2c30832a694470978e21b0

Thierry Carrez (ttx) on 2012-11-21
Changed in nova:
milestone: none → grizzly-1
status: Fix Committed → Fix Released
Changed in nova (Ubuntu):
status: New → Fix Released
Changed in nova (Ubuntu Quantal):
status: New → Confirmed

Hello Mate, or anyone else affected,

Accepted nova into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/2012.2.1+stable-20121212-a99a802e-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Quantal):
status: Confirmed → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (8.3 KiB)

This bug was fixed in the package nova - 2012.2.1+stable-20121212-a99a802e-0ubuntu1

---------------
nova (2012.2.1+stable-20121212-a99a802e-0ubuntu1) quantal-proposed; urgency=low

  * Ubuntu updates:
    - debian/control: Ensure novaclient is upgraded with nova,
      require python-keystoneclient >= 1:2.9.0. (LP: #1073289)
    - d/p/avoid_setuptools_git_dependency.patch: Refresh.
  * Dropped patches, applied upstream:
    - debian/patches/CVE-2012-5625.patch: [a99a802]
  * Resynchronize with stable/folsom (b55014ca) (LP: #1085255):
    - [a99a802] create_lvm_image allocates dirty blocks (LP: #1070539)
    - [670b388] RPC exchange name defaults to 'openstack' (LP: #1083944)
    - [3ede373] disassociate_floating_ip with multi_host=True fails
      (LP: #1074437)
    - [22d7c3b] libvirt imagecache should handle shared image storage
      (LP: #1075018)
    - [e787786] Detached and deleted RBD volumes remain associated with insance
      (LP: #1083818)
    - [9265eb0] live_migration missing migrate_data parameter in Hyper-V driver
      (LP: #1066513)
    - [3d99848] use_single_default_gateway does not function correctly
      (LP: #1075859)
    - [65a2d0a] resize does not migrate DHCP host information (LP: #1065440)
    - [102c76b] Nova backup image fails (LP: #1065053)
    - [48a3521] Fix config-file overrides for nova-dhcpbridge
    - [69663ee] Cloudpipe in Folsom: no such option: cnt_vpn_clients
      (LP: #1069573)
    - [6e47cc8] DisassociateAddress can cause Internal Server Error
      (LP: #1080406)
    - [22c3d7b] API calls to dis-associate an auto-assigned floating IP should
      return proper warning (LP: #1061499)
    - [bd11d15] libvirt: if exception raised during volume_detach, volume state
      is inconsistent (LP: #1057756)
    - [dcb59c3] admin can't describe all images in ec2 api (LP: #1070138)
    - [78de622] Incorrect Exception raised during Create server when metadata
      over 255 characters (LP: #1004007)
    - [c313de4] Fixed IP isn't released before updating DHCP host file
      (LP: #1078718)
    - [f4ab42d] Enabling Return Reservation ID with XML create server request
      returns no body (LP: #1061124)
    - [3db2a38] 'BackupCreate' should accept rotation parameter greater than or
      equal to zero (LP: #1071168)
    - [f7e5dde] libvirt reboot sometimes fails to reattach volumes
      (LP: #1073720)
    - [ff776d4] libvirt: detaching volume may fail while terminating other
      instances on the same host concurrently (LP: #1060836)
    - [85a8bc2] Used instance uuid rather than id in remove-fixed-ip
    - [42a85c0] Fix error on invalid delete_on_termination value
    - [6a17579] xenapi migrations fail w/ swap (LP: #1064083)
    - [97649b8] attach-time field for volumes is not updated for detach volume
      (LP: #1056122)
    - [8f6a718] libvirt: rebuild is not using kernel and ramdisk associated with
      the new image (LP: #1060925)
    - [fbe835f] live-migration and volume host assignement (LP: #1066887)
    - [c2a9150] typo prevents volume_tmp_dir flag from working (LP: #1071536)
    - [93efa21] Instances deleted during spawn leak network allocations
      (LP: #1068716)
    - [ebabd02] After restartin...

Read more...

Changed in nova (Ubuntu Quantal):
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in nova:
milestone: grizzly-1 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers